generateVariableSelectionData = function(seed = 1, delta = 6, nc = 1, ss= 0.3, x.sd=0.3, n = 100, p =4, p.dummy=996, jitterFlag=TRUE) {

	set.seed(seed)
	mu1 = matrix(1,n,p)
	mu2 = matrix(-1,n,p)
	mu = ss*rbind(mu1,mu2)
	beta.true = matrix(1,p,1)
	X = mu + x.sd*matrix(rnorm(2*n*p),2*n,p)
	U = runif(2*n)
	Y = (U <= plogis(X %*% beta.true)) + 0


	for (i in 1:nc) {
		x.outlier = rep(delta, p) + ifelse(jitterFlag,1,0)*rnorm(p,mean=0,sd=x.sd/3)
		X = rbind(X,x.outlier)
		Y[length(Y)+1] = 0
	}

	N = matrix(rnorm(nrow(X)*p.dummy,mean=0,sd=x.sd),ncol=p.dummy)
	X = cbind(X,N)

	return(list(X=X,Y=Y))
}
